#!/bin/bash

targets=( 
    "linux-x86_64-full"
    "linux-arm64-full"
)

for target in ${targets[@]}; do
    docker pull gitea.jde.nz/public/jcross-$target
done

BIN_DIR=${HOME}/.local/bin

mkdir -p ${BIN_DIR}

for target in ${targets[@]}; do
  docker run gitea.jde.nz/public/jcross-$target > ${BIN_DIR}/dockcross-$target && chmod u+x ${BIN_DIR}/dockcross-$target

  echo "Installed ${BIN_DIR}/dockcross-$target"
done


